/* -------------------------------------------------------------------
 * Server.cpp
 * by Mark Gates <mgates@nlanr.net>, Ajay Tirumala (tirumala@ncsa.uiuc.edu>.
 * Copyright 1999, Board of Trustees of the University of Illinois.
 * $Id: Server.cpp,v 1.5 2001/03/17 01:14:19 boverhof Exp $
 * -------------------------------------------------------------------
 * A server thread is initiated for each connection accept() returns.
 * Handles sending and receiving data, and then closes socket.
 * Changes to this version : The server can be run as a daemon
 * ------------------------------------------------------------------- */
#define HEADERS()

#include "Server.hpp"
#include "Listener.hpp"
#ifdef NETTEST
#include "IperfTestInfo.h"
#else
#include "Settings.hpp"
#endif

/* -------------------------------------------------------------------
 * Stores connected socket and socket info.
 * ------------------------------------------------------------------- */
#ifdef NETTEST
Server::Server( IperfTestInfo* iperfinfo, int inSock )
  : PerfSocket( iperfinfo ),
    Thread()
{
  mSock = inSock;
}
#else
Server::Server( Settings* mSettings_ptr, short inPort, bool inUDP, int inSock )
  : PerfSocket( mSettings_ptr, inPort, inUDP ),
    Thread()
{
  mSock = inSock;
}
#endif

/* -------------------------------------------------------------------
 * Destructor does nothing.
 * ------------------------------------------------------------------- */

Server::~Server()
{
}

/* -------------------------------------------------------------------
 * Receieve data from the connected socket.
 * ------------------------------------------------------------------- */

void Server::Run( void )
{
  if ( mUDP ) {
    Recv_UDP();
  }
  else {
    Recv_TCP();
  }
}

