/* -*-C++-*- */
/* Copyright (c) 1999 Regents of the University of California.
 * rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgment:
 *       This product includes software developed by the Imaging and
 *       Distributed Collaboratories Group at Lawrence Berkeley
 *       National Laboratory.
 * 4. Neither the name of the University nor of the Laboratory may be used
 *    to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
<<<<<<< lblnettest.h
 * $Id: lblnettest.h,v 1.30 2001/08/31 01:28:25 boverhof Exp $
=======
 * $Id: lblnettest.h,v 1.30 2001/08/31 01:28:25 boverhof Exp $
>>>>>>> 1.10
*/


#ifndef Nettest_h
#define Nettest_h

//#include <config.h>
#include <signal.h>
#include <unistd.h>
#include <sys/time.h>
//#include <pthread.h>
#include <assert.h>
#include <stdlib.h>
#include <string>

#include "config.h"

using std::string;

class Results;
class CoordInfo;
class SecureTcp;
class con;
class NetworkTCP;

void        setSignals_to_Handle( void );
CoordInfo*  doCommandLineRequest( Results*, NetworkTCP&, string, int &argc, char*argv[] );
void        setAsDaemon( CoordInfo* );
int         setAsInterface( CoordInfo*, NetworkTCP& );
bool        setCoordInfoParam( string, CoordInfo& );
int 	    check_TestName( const string );
int         Requester_GetNextTest( string&, CoordInfo& );

int         handleRequest_Master( const string, CoordInfo, NetworkTCP&, SecureTcp*  );
int         wait_for_completed_Test( SecureTcp* );
void        completed_Test( bool, SecureTcp* );
string      coordConReceive( SecureTcp* );
int         coordConSend( SecureTcp*, const string );
void        AskUserIperf( string& );
void        AskUserPing( string& );
int         AskUserMulti( string& );
void        AskUserTunedTcp( string& );
void        askUserTrace( string& );
string      AskUser( void );
void        doTest( CoordInfo );

extern "C" void 
sighandler( int sig );

#endif
