<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
          xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- ****** LINKS USED IN TEXT OF XML DOCUMENT ********* -->
<xsl:template match="NHOME">
<xsl:apply-templates select="ancestor::PROJECT/LINKS/NETTEST_HOME_PAGE"/>
</xsl:template>
<xsl:template match="NCVS">
<xsl:apply-templates select="ancestor::PROJECT/LINKS/NETTEST_CVS_PAGE"/>
</xsl:template>
<xsl:template match="NEXPORT">
<xsl:apply-templates select="ancestor::PROJECT/LINKS/NETTEST_EXPORT_PAGE"/>
</xsl:template>
<xsl:template match="NDOWNLOAD">
<xsl:apply-templates select="ancestor::PROJECT/LINKS/NETTEST_DOWNLOAD_PAGE"/>
</xsl:template>
<xsl:template match="NBUILD">
<xsl:apply-templates select="ancestor::PROJECT/LINKS/NETTEST_BUILD_PAGE"/>
</xsl:template>
<xsl:template match="NCONFIG">
<xsl:apply-templates select="ancestor::PROJECT/LINKS/NETTEST_CONFIGURE_PAGE"/>
</xsl:template>
<xsl:template match="NSECURITY">
<xsl:apply-templates select="ancestor::PROJECT/LINKS/NETTEST_SECURITY_PAGE"/>
</xsl:template>
<xsl:template match="NPROBLEMS">
<xsl:apply-templates select="ancestor::PROJECT/LINKS/NETTEST_PROBLEMS_PAGE"/>
</xsl:template>
<xsl:template match="IPERF">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/IPERF_PAGE"/>
</xsl:template>
<xsl:template match="OPENSSL">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/OPENSSL_PAGE"/>
</xsl:template>
<xsl:template match="NETLOGGER">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/NETLOGGER_PAGE"/>
</xsl:template>
<xsl:template match="DEB">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/DEB_PAGE"/>
</xsl:template>
<xsl:template match="JOSH">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/JOSH_PAGE"/>
</xsl:template>
<xsl:template match="KEITH">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/KEITH_PAGE"/>
</xsl:template>
<xsl:template match="LBNL">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/LBNL_PAGE"/>
</xsl:template>
<xsl:template match="DOESG">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/DOE_SG_PAGE"/>
</xsl:template>
<xsl:template match="CSDIV">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/CSDIV_PAGE"/>
</xsl:template>
<xsl:template match="DSD">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/DSD_PAGE"/>
</xsl:template>
<xsl:template match="NERSC">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/NERSC_PAGE"/>
</xsl:template>
<xsl:template match="NETSCAPE_EXPORT">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/NETSCAPE_CERTS_PAGE"/>
</xsl:template>


<xsl:template match="NTARBALL">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/NETTEST_TARBALL_LINK"/>
</xsl:template>

<xsl:template match="NDLINK">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/NETTEST_DOWNLOAD_LINK"/>
</xsl:template>

<xsl:template match="LIPERF">
  <xsl:apply-templates select="ancestor::PROJECT/LINKS/IPERF_LICENSE_PAGE"/>
</xsl:template>



<!-- ************ FORMATING OPTIONS EXPRESSED IN XML DOCUMENT *********** -->
<xsl:template match="LIST">
  <ul><xsl:apply-templates/></ul>
</xsl:template>
<xsl:template match ="LIST/I">
  <li><xsl:apply-templates/></li>
</xsl:template>
<xsl:template match ="BR">
  <br></br>
</xsl:template>


<!-- ************** DOCUMENT CREATION ****************** -->
<!-- ****** TOP LEVEL ******* -->
<xsl:template match="PROJECT">
    <html>
      <head>
        <title><xsl:value-of select="@ID"></xsl:value-of></title>
      </head>
      <body  bgcolor="#ffffff" text="#000000">
	  <xsl:apply-templates select="SECURITY_PAGE_LAYOUT"/>
      </body>
    </html>
</xsl:template>

<!-- ****** 2nd LEVEL ******* -->
  <xsl:template match="PROJECT/TITLE">
 	<xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="PROJECT/NAME">
	<xsl:apply-templates/>
  </xsl:template>
 
  <xsl:template match="PROJECT/IMAGE">
	<xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="PROJECT/SECURITY_PAGE_LAYOUT">
        <!-- Top Table -->
        <table valign="top" border="0" width="100%" height="20%" cellspacing="0" cellpadding="0">
	<tr>
          <td width="70%" align="center">
            <table width="80%" height="100%" border="0">
            <tr><td align="center" colspan="3" bgcolor="#FFFFFF"><h1 align="left">
		<xsl:apply-templates select="ancestor::PROJECT/NAME"/>
		<xsl:text>: </xsl:text></h1>
		<h2 align="center"><xsl:apply-templates select="ancestor::PROJECT/TITLE"/></h2></td>
		<td colspan="1" bgcolor="#FFFFFF"></td></tr>
            </table></td>
          <td align="center">
            <img src="LBNL.logo.gif"></img></td>
	</tr>
        </table>

        <!-- Left Link Table -->
	<hr></hr>
	<table align="left" valign="top" bgcolor="#00dd90" width="25%" height="100%" border="0">
    	  <tr><td valign="top">
	      <br></br>
	      <!-- xalan for-each will not do tables embedded tr/td -->
	      <xsl:for-each select= "ancestor::PROJECT/PAGE_LAYOUT/LINKS">
	      	<xsl:apply-templates/>
	      </xsl:for-each>
	    </td></tr>
	</table>

        <!-- Content Table -->
        <table valign="top" border="0" width="100%" height="100%" cellspacing="5" cellpadding="5">
    	  <tr><td valign="top">
	    <!-- xalan for-each will not do tables embedded tr/td -->
	    <xsl:for-each select="child::BLOCK">
	      <xsl:apply-templates/>
	    </xsl:for-each>
	  </td></tr>
	</table>
  </xsl:template>

  
<!-- ****** 3rd LEVEL ******* -->
  <xsl:template match="PROJECT/LINKS/*">
     <a href="{PAGE}"><xsl:value-of select="NAME"/></a>
  </xsl:template>

  <xsl:template match="PROJECT/PAGE_LAYOUT/BLOCK">
	<xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="PROJECT/PAGE_LAYOUT/LINKS">
	<xsl:apply-templates/>
  </xsl:template>


<!-- ****** 4th LEVEL ******* -->
  <xsl:template match="PROJECT/*/BLOCK/TITLE">
        <b><xsl:apply-templates/></b>
  </xsl:template>

  <xsl:template match="PROJECT/*/BLOCK/TEXT">
        <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="PROJECT/*/BLOCK/TEXT/P">
        <br></br>
	<blockquote>
		<xsl:apply-templates/>
	</blockquote>
  </xsl:template>

  <xsl:template match="PROJECT/PAGE_LAYOUT/LINKS/TITLE">
        <b><xsl:apply-templates/></b>
  </xsl:template>

  <xsl:template match="PROJECT/PAGE_LAYOUT/LINKS/TEXT">
        <xsl:apply-templates/>
  </xsl:template>


</xsl:stylesheet>
